Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.chegv

scipy.linalg.lapack.chegv(a, b[, itype, jobz, uplo, lwork, overwrite_a, overwrite_b]) = <fortran function chegv>

  Wrapper for `chegv`.

  Parameters:
    a input rank-2 array(‘F’) with bounds (n,n)
    b input rank-2 array(‘F’) with bounds (n,n)
  Returns:
    w rank-1 array(‘f’) with bounds (n)
    v rank-2 array(‘F’) with bounds (n,n) and a storage
    info int
  Other Parameters:
    itype input int, optional

      Default: 1

    jobz input bytes, optional

      Default: ‘V’

    uplo input bytes, optional

      Default: ‘L’

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    lwork input int, optional

      Default: max(2*n-1,1)